	/*
	* GMapFP Component Google Map for Joomla! 4.x
	* Version J4_6F
	* Creation date: Janvier 2024
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

var marker = {};
var map_marker = {};
var arrayOfLatLngs = [];

var params_map = null;

function show_map_infos(num) {
	var map 		= eval('carteGMapFP' + num);
	marker 			= eval('marker' + num);
	map_marker 		= eval('map_marker' + num);
	arrayOfLatLngs 	= eval('arrayOfLatLngs' + num);
	params_map 		= eval ('map_params' + num + ';');

	//creer la liste des marqueurs
	var datas_marqueurs = eval ('marqueurs_datas' + num + ';');
	var cles = Object.keys(datas_marqueurs);
	cles.forEach(function(cle){
		var obj = datas_marqueurs[cle];
		var marqueur_url = obj.url;
		if (!marqueur_url.startsWith('//') && !marqueur_url.startsWith('http'))
			marqueur_url = GMapFP_baseURL + marqueur_url;
		var shadow_url = obj.url_shadow;
		if (shadow_url && !shadow_url.startsWith('//') && !shadow_url.startsWith('http'))
			shadow_url = GMapFP_baseURL + shadow_url;
		marker[obj.id] = L.icon({
			iconUrl: marqueur_url,
			iconSize: [obj.marker_width, obj.marker_height],
			iconAnchor: [obj.centre_x, obj.centre_y],
			popupAnchor: [0, -obj.centre_y],
			shadowUrl: shadow_url,
			shadowSize: [obj.shadow_width, obj.shadow_height]
		});
	});
	
	//creer les marqueurs
	var datas_map = eval ('map_datas' + num + ';');
	var cles = Object.keys(datas_map);
	cles.forEach(function(cle){
		var obj = datas_map[cle];
		if(marker[obj.marqueur]!= undefined) {
			var options = {
				icon: marker[obj.marqueur], 
				draggable: false, 
				item_id: obj.id,
				item_link: obj.link,
				item_article_id: obj.article_id,
				item_icon: obj.icon
			};
		} else {
			var options = {
				draggable: false, 
				item_id: obj.id,
				item_link: obj.link,
				item_article_id: obj.article_id,
				item_icon: obj.icon
			};
		}
		if (obj.marqueur) { // si pas de marqueur défini, affiche celui par défaut
			map_marker[obj.id] = L.marker([obj.glat, obj.glng], options).bindPopup(make_bubble(obj), {maxWidth: params_map.gmapfp_width_bulle_GMapFP}).addTo(map);
		} else {
			map_marker[obj.id] = L.marker([obj.glat, obj.glng], options).bindPopup(make_bubble(obj), {maxWidth: params_map.gmapfp_width_bulle_GMapFP}).addTo(map);
		}
		arrayOfLatLngs.push([obj.glat, obj.glng]);
		console.log(obj.glat+'bb'+obj.glng);
		//gestion de l'animation de la bubble
		if (params_map.gmapfp_eventcontrol >= 1) map_marker[obj.id].on('mouseover', function (e) {this.openPopup();});
		if (params_map.gmapfp_eventcontrol == 1) map_marker[obj.id].on('mouseout', function (e) {this.closePopup();});
		//gestion de l'affichage du lien du marqueur
		if (params_map.gmapfp_plus_detail == 1 && params_map.gmapfp_eventcontrol >= 1 && params_map.target != 4) map_marker[obj.id].on('click', show_marker_link);
	});
	
	function make_bubble(obj) {
		let image = {};
		let gmapfp_img_style = '';
		if (obj.img) image = JSON.parse(obj.img);
		if (!image || !image.image) {
			image.image = "";
			gmapfp_img_style = 'style="display:none;"';
		}
		return eval(eval('bubble_datas' + num));
	}

} 	  

function over_marker(id) {
	if (params_map.gmapfp_eventcontrol >= 1) map_marker[id].openPopup();
}

function out_marker(id) {
	if (params_map.gmapfp_eventcontrol == 1) map_marker[id].closePopup();
}

